# Fetching a list of Account Invitations

This endpoint returns structured Account Invitation objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `account_invitations` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: GET /account_invitations
Version: 1.0.0

## Query parameters:

  - `by_full_name` (string)
    Show entries where the full name is like the specified parameter.

  - `include` (string)
    Any of the below associations can be included in your request by providing the `include` param, e.g. `include=association1,association2`.
- `default_role` (Role) - The default role of the account.
- `invitee` (User) - The new user who will receive the invitation.
- `inviter` (User) - The user who has sent the invitation.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like `GET /api/v1/workspaces.json?only=5,6,7`.

  - `only_pending` (boolean)
    Show only pending invitations.

  - `order` (string)
    Supply `order` with the name of a valid sort field for the endpoint and a direction.

Valid values: `bill_rate:asc`, `bill_rate:desc`, `cost_rate:asc`, `cost_rate:desc`, `created_at:asc`, `created_at:desc`, `expiration_date:asc`, `expiration_date:desc`, `full_name:asc`, `full_name:desc`, `permission:asc`, and `permission:desc`.

  - `page` (integer)

  - `per_page` (integer)

  - `search` (string)

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

